%define cvs 20070323

Name:		rt73
Version:	0.0.0cvs%cvs
Release:	1%{?dist}
Summary:	Diagnostic tools for Ralink Wireless devices
Group:		System Environment/Base
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt73-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt73-cvs-%{cvs}.tar.bz2
Source1:	rt73-snapshot.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	rt73-kmod-common = %{version}
Requires:	rt73-kmod >= %{version}
Requires:	rt71w-firmware
BuildArch:      noarch

%description
This package contains the Ralink rt73 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt73 chipsets.

This is the rt73-kmod-common package.This contain the Utility to set RT61

%prep
%setup -q -n %{name}-cvs-%{cvs}
mv Module/iwpriv_usage.txt .
sed -i 's/\r//' LICENSE
sed -i 's/\r//' iwpriv_usage.txt

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT73STA
install -m 644 Module/rt73sta.dat $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT73STA
install -m 644 Module/rt73.bin $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT73STA
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
install -D -p -m 0644 Module/ifcfg-rausb0 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts

cat > %{name}-modprobe.d <<EOF
# rt73 Ralink wireless 
#options rt73 debug=2 ifname=wlan%d
# kwizart note you should not edit ifcfg-rausb0 but use:
# /etc/Wireless/RT73STA/rt73sta.dat (maybe with RutilT)
alias rausb0 rt73
EOF

install -D -p -m 0644 %{name}-modprobe.d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/rt73

rm $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT73STA/rt73.bin
ln -s /lib/firmware/rt73.bin $RPM_BUILD_ROOT%{_sysconfdir}/Wireless/RT73STA/rt73.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG FAQ LICENSE README TESTING THANKS
%doc iwpriv_usage.txt
%config(noreplace) %{_sysconfdir}/Wireless/RT73STA/rt73sta.dat
%config(noreplace) %{_sysconfdir}/modprobe.d/rt73
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifcfg-rausb0
%{_sysconfdir}/Wireless/RT73STA/rt73.bin


%changelog
* Fri Mar 23 2007 kwizart < kwizart at gmail.com > - 0.0.0cvs20070323-1
- Update to 2007032315

* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 0.0.0cvs20070113-1
- Update to 20070113
- link to requires rt71w-firmware

* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 0.0.0cvs20061120-1.fc6
- Update to 20061120.
- inital release.


